#if !defined(AFX_FINDPSSPLUGINSDLG_H__7D8D6A72_D5AA_403B_83B2_4112645FA829__INCLUDED_)
#define AFX_FINDPSSPLUGINSDLG_H__7D8D6A72_D5AA_403B_83B2_4112645FA829__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FindPSSPluginsDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CFindPSSPluginsDlg dialog
#include <apl_gui.h>

class CFindPSSPluginsDlg : public CaplTranslateDialog
{
// Construction
public:
	int AddFileNameToSkip(LPCTSTR file_name);
	CString GetNextFile(int &index);
	int GetFirstFileIndex();
	void FindAddIns(CString &path);
	CFindPSSPluginsDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CFindPSSPluginsDlg)
	enum { IDD = IDD_FIND_PLUGINS_DLG };
	CaplButton	m_ok_btn;
	CaplButton	m_cancel_btn;
	CSortListCtrl	m_List_Ctrl;
	CString	m_Path;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFindPSSPluginsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CFindPSSPluginsDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CStringArray m_SelectedFiles;
	CStringArray m_SkipFiles;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FINDPSSPLUGINSDLG_H__7D8D6A72_D5AA_403B_83B2_4112645FA829__INCLUDED_)
